# ghab - GitHub Actions Billing

_Pull detailed billing information from GitHub Actions._

`ghab` is a simple CLI tool to pull billing information for GitHub Actions workflows. Additionally, `ghab` will also tell you about the efficiency of the workflow, which is percentage of billed time your workflow was actually doing work.

## Installation

1. Install `ghab` with `pip`:

```bash
$> pip install ghab
```

1. Obtain a GitHub token with the `repo` scope, to use by with `ghab` by following [GitHub's instructions](https://docs.github.com/en/github/authenticating-to-github/creating-a-personal-access-token).

## Usage

Once installed `ghab` can be called directly, see `ghab --help` for more details.

To use the GitHub token you setup previously, either pass it to `ghab` with the `--github-token` flag or include it in the `GITHUB_TOKEN` environment variable.

```bash
$> export GTIHUB_TOKEN=my-github-token
$> ghab nadock/ghab
# or
$> ghab --github-token my-github-token nadock/ghab
```
