# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['ghab']

package_data = \
{'': ['*']}

install_requires = \
['requests>=2.24.0,<3.0.0', 'tqdm>=4.47.0,<5.0.0']

entry_points = \
{'console_scripts': ['ghab = ghab:main']}

setup_kwargs = {
    'name': 'ghab',
    'version': '0.1.2',
    'description': 'Pull detailed billing information from GitHub Actions',
    'long_description': "# ghab - GitHub Actions Billing\n\n_Pull detailed billing information from GitHub Actions._\n\n`ghab` is a simple CLI tool to pull billing information for GitHub Actions workflows. Additionally, `ghab` will also tell you about the efficiency of the workflow, which is percentage of billed time your workflow was actually doing work.\n\n## Installation\n\n1. Install `ghab` with `pip`:\n\n```bash\n$> pip install ghab\n```\n\n1. Obtain a GitHub token with the `repo` scope, to use by with `ghab` by following [GitHub's instructions](https://docs.github.com/en/github/authenticating-to-github/creating-a-personal-access-token).\n\n## Usage\n\nOnce installed `ghab` can be called directly, see `ghab --help` for more details.\n\nTo use the GitHub token you setup previously, either pass it to `ghab` with the `--github-token` flag or include it in the `GITHUB_TOKEN` environment variable.\n\n```bash\n$> export GTIHUB_TOKEN=my-github-token\n$> ghab nadock/ghab\n# or\n$> ghab --github-token my-github-token nadock/ghab\n```\n",
    'author': 'Riley Chase',
    'author_email': 'riley.chase@rileychase.net',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/nadock/ghab',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
